<?php
require './Classes/mpdf/vendor/autoload.php';
include '../conexion.php';

//$mpdf = new \Mpdf\Mpdf();
$sucursal=null;
$fecha1='2024-05-01';
$fecha2='2024-05-30';

$consultax=null;
$mpdf = new \Mpdf\Mpdf([
    'mode' => 'utf-8',
    'format' => 'A4',
    'shrink_tables_to_fit' => 0 // Deshabilitar el ajuste automático de tamaño de las tablas
]);
$mpdf->SetDisplayMode('fullpage');
$sqlx='select * from datos_uniformes where activo=1 group by u_descripcion order by ordena';

$consulta=mysqli_query($connection,$sqlx);
$mpdf->WriteHTML('<style>
body {
    font-family: Arial, sans-serif; /* Cambia el tipo de letra a Arial */
    font-size: 10pt; /* Cambia el tamaño de letra a 12 puntos */
}
.no-break {
    page-break-inside: avoid; /* Evita que la tabla se divida entre páginas */
    /*width: 100%; /* Asegura que la tabla use el ancho completo de la página */
}
thead {
    display: table-header-group; /* Asegura que el encabezado se repita en la nueva página si la tabla se divide */
}
th{
    font-family: Arial, sans-serif; /* Cambia el tipo de letra a Arial */
    font-size: 8pt; /* Cambia el tamaño de letra a 12 puntos */
    background:#C5CACF;
}
td{
    font-family: Arial, sans-serif; /* Cambia el tipo de letra a Arial */
    font-size: 8pt; /* Cambia el tamaño de letra a 12 puntos */
    text-align:right;
}
td#medida{
    text-align:left;
}
th#derecha{
    text-align:right;
}
tfoot {
    display: table-footer-group; /* Asegura que el pie de página se repita en la nueva página si la tabla se divide */
}
</style>');
$mpdf -> SetTitle('Reporte de Inventario de Uniformes '.$sucursal.'');
$mpdf -> WriteHTML('<body>');
$mpdf -> WriteHTML('<div style="text-align: center;"><strong>Reporte de Inventario de Uniformes '.$sucursal.'</strong></div>');
$mpdf -> WriteHTML('<div style="text-align: center;">al dia '.date('d-M-Y').' y consumos del '.date('d-M-Y',strtotime($fecha1)).' al '.date('d-M-Y',strtotime($fecha2)).'</div>');
$mpdf -> WriteHTML('<br>');
//$mpdf -> WriteHTML($sql);
//$consulta=mysqli_query($connection,$sql);
$result = mysqli_num_rows($consulta);
//$mpdf -> WriteHTML('<table>');
if ($result > 0) {
    while ($data = mysqli_fetch_array($consulta)) {
        $etn=0;
        $etu=0;
        $ett=0;
        $ctn=0;
        $ctu=0;
        $ctt=0;
        $sql='select a.orden,a.medida, a.u_descripcion,a.descrip,a.datoxy,
sum(CASE WHEN estado="NUEVO" THEN inv1 ELSE "0" END) AS Nuevo,
sum(CASE WHEN estado="USADO" THEN inv1 ELSE "0" END) AS Usado,
CantN,CantU, a.comentario
from datos_uniformes  a
LEFT join(
	select medida as medidax,descrip,u_descripcion,datoxy,
	sum(CASE WHEN estado="NUEVO" THEN cant ELSE "0" END) AS CantN,
	sum(CASE WHEN estado="USADO" THEN cant ELSE "0" END) AS CantU
	from datos_entregas_tij
	where fechaMov BETWEEN "'.$fecha1.'" and "'.$fecha2.'" and uni_tipomov_idtipoMovUni=4
	group by descrip
) b on a.descrip=b.descrip
where activo=1 and a.u_descripcion="'.$data['u_descripcion'].'"
group by medida,u_descripcion
order by a.ordena,a.orden ASC';

        $consultax=mysqli_query($connection,$sql);
        $resultx = mysqli_num_rows($consultax);
        $mpdf -> WriteHTML('<table border="1" class="no-break" >');
        $mpdf -> WriteHTML('<thead><tr><th colspan="10">'.$data['u_descripcion'].' '.$data['comentario'].'</th></tr>');
        $mpdf -> WriteHTML('<tr>
                            <th rowspan="2" style="text-align:center;">Compra Anual</th>
                            <th rowspan="2" style="text-align:center;">Medida</th>
                            <th colspan="3" style="text-align:center;">Existencia</th>
                            <th colspan="3" style="text-align:center;">Consumos</th>
                            <th rowspan="2" style="text-align:center;">Proceso</th>
                            <th rowspan="2" style="text-align:center;">Sugerido</th>
                        </tr>
                        </thead>
                        <tr>
                            <th style="text-align:center;">Nuevo</th>
                            <th style="text-align:center;">Usado</th>
                            <th style="text-align:center;">Total</th>
                            <th style="text-align:center;">Nuevo</th>
                            <th style="text-align:center;">Usado</th>
                            <th style="text-align:center;">Total</th>
                        </tr><tbody>');
        if ($resultx > 0) {
            while ($datax = mysqli_fetch_array($consultax)) {
                $cantN = $datax['CantN'] === null ? '0' : $datax['CantN'];
                $cantU = $datax['CantU'] === null ? '0' : $datax['CantU'];
                $mpdf -> WriteHTML('<tr>
                <td></td>
                <td id="medida">'.$datax['medida'].'</td>
                <td>'.$datax['Nuevo'].'</td>
                <td>'.$datax['Usado'].'</td>
                <td>'.$datax['Nuevo']+$datax['Usado'].'</td>
                <td>'.$cantN.'</td>
                <td>'.$cantU.'</td>
                <td>'.$datax['CantN']+$datax['CantU'].'</td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
              </tr>');
                $etn+=$datax['Nuevo'];
                $etu+=$datax['Usado'];
                $ett+=$datax['Nuevo']+$datax['Usado'];
                $ctn+=$cantN;
                $ctu+=$cantU;
                $ctt+=$cantN+$cantU;
            }
        }
        $mpdf -> WriteHTML('</tbody><tfoot>
        <tr>
            <th colspan="2" style="text-align: right;">Totales</th>
            <th id="derecha">'.$etn.'</th>
            <th id="derecha">'.$etu.'</th>
            <th id="derecha">'.$ett.'</th>
            <th id="derecha">'.$ctn.'</th>
            <th id="derecha">'.$ctu.'</th>
            <th id="derecha">'.$ctt.'</th>
            <th></th>
            <th></th>
        </tr>
    </tfoot>
        </table><br>');
    }
}
//$mpdf -> WriteHTML('</table>');

$mpdf -> WriteHTML('');
$mpdf -> WriteHTML('</body>');
$mpdf -> Output('./archivos/NombreDeTuArchivo.pdf', 'I');
exit;
?>